import { Meta, Canvas } from "@storybook/blocks";
import * as Stories from "./success-stories-slider.stories";

<Meta of={Stories} name="Docs" />

# Success Stories Hero Slider

This slider is used on the success stories page at

<a
    target="_blank"
    href="https://www.trumpf.com/de_DE/loesungen/erfolgsgeschichten/"
>
    www.trumpf.com/de_DE/loesungen/erfolgsgeschichten/
</a>

## Template

-   Add the `ux-iws-hero-success-stories-slider` class to the `<ux-slider>` component
-   Assign a `label` to each `<ux-slider-slide>` element
-   Add the `ux-iws-hero-success-story` class to the slide container
    -   Add the `ux-iws-hero-success-story--left` class to the slide container for left alignment (odd)
    -   Add the `ux-iws-hero-success-story--right` class to the slide container for right alignment (even)
-   Configure the `<ux-slider-pagination>` component with labels and progress bar

## Preview

<Canvas of={Stories.Default} />
